at.chipkarte.client.fus.soap

## Class Dateiinfo

- Object
- - at.chipkarte.client.fus.soap.Dateiinfo

-     public class Dateiinfo
      extends Object

  Dient der Ein- und Ausgabe der Dateiinfo.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dateiinfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDateiformat()` Dateiformat.
    `Long` | `getDateigroesse()` Größe eines Attachments in Kilo-Byte.
    `String` | `getDateihash()` MD5-Hash über die Datei.
    `String` | `getDateiInhaltstyp()` Gibt an, welchen Inhalt die Datei enthält.
    `String` | `getDateiname()` Name einer Datei (inkl.
    `String` | `getErfassungszeit()` Erfassungszeit.
    `Formularcodegruppe` | `getFormularcode()` Formularcode sowie die ihn zusammensetzenden Elemente.
    `String` | `getUebertragungsstatus()` Status der Übertragung einer Anlage.
    `void` | `setDateiformat(String dateiformat)`
    `void` | `setDateigroesse(Long dateigroesse)`
    `void` | `setDateihash(String dateihash)`
    `void` | `setDateiInhaltstyp(String dateiInhaltstyp)`
    `void` | `setDateiname(String dateiname)`
    `void` | `setErfassungszeit(String erfassungszeit)`
    `void` | `setFormularcode(Formularcodegruppe formularcode)`
    `void` | `setUebertragungsstatus(String uebertragungsstatus)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dateiinfo

          public Dateiinfo()

  - ### Method Detail

    - #### getDateiname

          public String getDateiname()

      Name einer Datei (inkl. Extension).
      Der Name darf keine Pfadangaben und keine Steuerzeichen enthalten.
      Hinweis: Das Dateiformat wird über die, vom Webbrowser des Akteurs gelieferte Dateinamenserweiterung bestimmt. Der Dateiinhalt wird dabei nicht geprüft. Groß- und Kleinschreibung im Dateinamen und in der Dateinamenserweiterung ist erlaubt und wird nicht verändert.
      Angabe: Muss.
      Format: mindestens 5-stellig bis maximal 100-stellig
      Returns:
        Dateiname.

    - #### setDateiname

          public void setDateiname(String dateiname)

    - #### getDateiformat

          public String getDateiformat()

      Dateiformat.
      Unterstützte Extensions bei FUS-Attachments für Formulare gleich `BIB`, `RIB`, `AIB`, `BKI`, `RKB` oder `AKB` sind: ii3, iii, 3ds, dxf, obj, ply, o3m, pmh, bre, bcd, stl, sop, off, zpr, dicom, jpeg, jpg, png, gif, tiff, tif, pdf und o3c.
      Unterstützte Extensions bei FUS-Attachments für Formulare gleich `EKV` sind: gif, jpg, jpeg, pdf, png, tiff, tif und xml.
      Unterstützte Extension bei FUS-Attachments für Formulare gleich `VO` ist: pdf.
      Hinweis: Das Dateiformat wird über die, vom Webbrowser des Akteurs gelieferte Dateinamenserweiterung, bestimmt. Der Dateiinhalt wird dabei nicht geprüft. Groß- und Kleinschreibung im Dateinamen und in der Dateinamenserweiterung ist erlaubt und wird nicht verändert. Mögliche Werte siehe `DateiformatConstants`.
      Angabe: Muss.
      Returns:
        Dateiformat.

    - #### setDateiformat

          public void setDateiformat(String dateiformat)

    - #### getDateiInhaltstyp

          public String getDateiInhaltstyp()

      Gibt an, welchen Inhalt die Datei enthält.
      Unterstützte DateiInhaltstypen für Formulare gleich `BIB`, `RIB`, `AIB`, `BKI`, `RKB` oder `AKB` sind: `PR`, `LF`, `FO`, `DM` und `SN`.
      Unterstützter DateiInhaltstyp für Formulare gleich `EKV` ist `SN`.
      Unterstützte DateiInhaltstypen für Formulare gleich `VO` sind: `VS` und `BD`.
      Angabe: Muss.
      Returns:
        DateiInhaltstyp.

    - #### setDateiInhaltstyp

          public void setDateiInhaltstyp(String dateiInhaltstyp)

    - #### getDateigroesse

          public Long getDateigroesse()

      Größe eines Attachments in Kilo-Byte. Beim Runden der Dateigröße von Byte auf Kilo-Byte muss immer auf ganze Kilo-Bytes aufgerundet werden.
      Angabe: Muss.
      Returns:
        Dateigroesse.

    - #### setDateigroesse

          public void setDateigroesse(Long dateigroesse)

    - #### getDateihash

          public String getDateihash()

      MD5-Hash über die Datei.
      Wenn ein MD5 Wert falsch berechnet wurde, dann können alle Dateien des zugehörigen Attachment-Pakets nicht an ATS übertragen werden.
      Angabe: Muss. Wird bei Ausgabe nicht gesetzt.
      Format: 32-stellig
      Returns:
        Dateihash.

    - #### setDateihash

          public void setDateihash(String dateihash)

    - #### getErfassungszeit

          public String getErfassungszeit()

      Erfassungszeit.
      Wird bei Eingabe ignoriert.
      Angabe: Kann.
      Format: TT.MM.JJJJ hh:mm:ss
      Returns:
        Erfassungszeit.

    - #### setErfassungszeit

          public void setErfassungszeit(String erfassungszeit)

    - #### getFormularcode

          public Formularcodegruppe getFormularcode()

      Formularcode sowie die ihn zusammensetzenden Elemente. Siehe `Formularcodegruppe`.
      Wird bei Eingabe ignoriert.
      Angabe: Kann.
      Returns:
        Formularcode.

    - #### setFormularcode

          public void setFormularcode(Formularcodegruppe formularcode)

    - #### getUebertragungsstatus

          public String getUebertragungsstatus()

      Status der Übertragung einer Anlage.
      Wird bei Eingabe ignoriert.
      Mögliche Werte siehe `AnlagenstatusConstants`.
      Angabe: Kann.
      Returns:
        Uebertragungsstatus.

    - #### setUebertragungsstatus

          public void setUebertragungsstatus(String uebertragungsstatus)